Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001208TestLinkNew Featurepublic2007-11-29 18:062010-09-10 19:58
Reporteriherrmann 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.1 
Fixed in Version1.8.5 (bug fixing) 
Summary0001208: Updating Testcase within a Testplan without dropping the results gained so far
DescriptionWhen a testcases is changed/updated/corrected, i want to be able to test this newest version in the testplan without losing the results of the tests which have been run already. Currently, if i understand it right, to bring a new version of a testcase into the testplan the testcase is already linked to, it means to cancel any test execution done so far.

Example:
Testplan 1
... Testcase 1.0
... Testcase 2.0

I run the tests with Result X

Now testcase 1.0 gets updated to 1.1

Here i want to be able to - from now on - test

Testplan 1
... Testcase 1.1
... Testcase 2.0

but without dropping the executed test! I would not want to be forced to create an exact clone of a testplan only because a testcase was updated or changed... after all it is still the very same testplan i want to execute. Like it was in 1.6.2, if i am not mistaken. ;)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 2.0.0.9
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon UpdateTC_TP.png [^] (16,913 bytes) 2007-11-29 18:06

- Relationships

-  Notes
(0002727)
iherrmann (reporter)
2007-11-29 18:08

Added a screenshot, where i miss the button "update in testplan". ;)
(0002729)
fman (administrator)
2007-11-30 01:36

Not possible without big re-write
(0002730)
fman (administrator)
2007-11-30 01:38

There is no missing update in tesplan.
TL 1.7.1 is very different to 1.6.2 in the testcase link to testplan feature.

Please never submit two issues in one.
(0002733)
mhavlat (reporter)
2007-11-30 04:02

Francisco, what you think? I know that it is difficult to implement. But it is request of logical and natural behavior.
I think that we could accept it for some later release
(0006844)
amitkhullar (reporter)
2009-05-12 18:15

@fman: isnt this issue resolved with versioning of the test cases available in the current system?

Amit
(0006846)
fman (administrator)
2009-05-12 19:45

@amit
this must be fixed.
Please test with user example on 1.8.2

>>> isnt this issue resolved with versioning of the test cases available in the >> current system?
please explain better
(0006847)
mhavlat (reporter)
2009-05-12 21:27

@Francisco,
the requested feature is working in 1.8 version. I tested it (include reports).

I find out a problem that execution history shows the current version only. It could be fixed under this issue. It could be closed after it.
(0006848)
fman (administrator)
2009-05-12 21:57

1. I think I've developed it
2. would you mind give detailed steps to reproduce new issue (than IMHO must be coded as a NEW one)

- Issue History
Date Modified Username Field Change
2007-11-29 18:06 iherrmann New Issue
2007-11-29 18:06 iherrmann File Added: UpdateTC_TP.png
2007-11-29 18:06 iherrmann Browser => Firefox 2.0.0.9
2007-11-29 18:08 iherrmann Note Added: 0002727
2007-11-30 01:36 fman Note Added: 0002729
2007-11-30 01:38 fman Note Added: 0002730
2007-11-30 04:02 mhavlat Note Added: 0002733
2009-05-12 18:15 amitkhullar Note Added: 0006844
2009-05-12 19:45 fman Note Added: 0006846
2009-05-12 21:27 mhavlat Note Added: 0006847
2009-05-12 21:57 fman Note Added: 0006848
2010-09-10 19:58 fman Status new => closed
2010-09-10 19:58 fman Assigned To => fman
2010-09-10 19:58 fman Resolution open => fixed
2010-09-10 19:58 fman Fixed in Version => 1.8.5 (bug fixing)



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker